Subject: [PATCH python-team 0/9] gnu: Add python-flask-3.

From: Tanguy Le Carrour <[email-masked]>
Date: Wed, 28 Feb 2024 10:42:47 +0100

Hi Guix, hi Python team,

Here is a patch set that adds Flask 3. As it is a major version,
I decided to add a new variable. And, as it depends on Werkzeug 3,
I did the same for it. Please let me know if you think it was not
the proper way to go.

I also submit some trivial package updates to the python-team branch,
as some of them trigger quite a lot of rebuilds (3500+ for python-jinja2).

Regards,

Tanguy Le Carrour (9):
  gnu: python-itsdangerous: Update to 2.1.2.
  gnu: python-jinja2: Update to 3.1.3.
  gnu: python-click: Update to 8.1.7.
  gnu: python-blinker: Update to 1.7.0.
  gnu: Add python-ephemeral-port-reserve.
  gnu: python-werkzeug: Rename variable to python-werkzeug-2.
  gnu: Add python-werkzeug-3.
  gnu: python-flask: Rename to python-flask-2.
  gnu: Add python-flask-3.

 gnu/packages/python-web.scm | 80 +++++++++++++++++++++++++++++++++++--
 gnu/packages/python-xyz.scm | 41 ++++++++++++++-----
 2 files changed, 106 insertions(+), 15 deletions(-)

base-commit: b77f45a62c71e326aeaab486c700bc51af29760c
-- 
2.41.0